*! version 1.0.4  21mar2006  Marc Muendler muendler@ucsd.edu
*! version 1.0.5  28jun2009  Marc Muendler muendler@ucsd.edu

* Makes DIREK-USTAN data comparable to IUI data

* All economic variables transformed to plain EUR

clear
set memory 500m
set matsize 400
set more off

cd "$rootslct"

capture log close
log using "logs/bemfiles-ger-allyrs.log", replace

tempfile duplicates

/* Data for regressions */
use "$root/Xmatch/affils-fdiall-ustan-96-01-eur-03mar2006", clear

*----------------------following code identical to #bemfiles.do---------------------------------------------

drop if ustan==.

* reset improperly deflated ppp variables
* browse country currency turnover turnover_ppp firmid year affil2 if `var'_ppp==.  & `var'~=`var'_ppp
* count if turnover_ppp<100 & turnover_ppp~=0 & turnover_ppp~=. & country~=36 & country~=68 & country~=72 & country~=73 & country~=75 & country~=76 & country~=82 & country~=94 & country~=224 & country~=257 & country~=322 & country~=330 & country~=500 & country~=608 & country~=653
* browse country currency turnover turnover_ppp firmid year affil2 if turnover_ppp<1000 & turnover_ppp~=0 & turnover_ppp~=. & country~=36 & country~=68 & country~=72 & country~=73 & country~=75 & country~=76 & country~=82 & country~=94 & country~=224 & country~=257 & country~=322 & country~=330 & country~=500 & country~=608 & country~=653
foreach var in turnover assettot fixdasst equity {
 replace `var'_ppp = `var' if country==36 | country==68 | country==72 | country==73 | country==75 | country==76 | country==82 | country==94 | country==224 | country==257 | country==322 | country==330 | country==500 | country==608 | country==653
 replace `var'_ppp = `var' if currency==36 | currency==68 | currency==72 | currency==73 | currency==75 | currency==76 | currency==82 | currency==94 | currency==224 | currency==257 | currency==322 | currency==330 | currency==500 | currency==608 | currency==653
 replace `var'_ppp = `var' if `var'_ppp==.
 }

* check for absence of duplicate MiDi-Ustan matches
preserve
  keep firmid ustan year
  duplicates drop
  duplicates report firm year
  if `r(unique_value)'~=`r(N)' {
    disp as err "Duplicate MiDi-Ustan matches in " in yellow "Xmatch/affils-fdiall-ustan-96-01-eur-03mar2006.dta"
    STOP
    }
restore

do $dpref/#variable-creation-direk.do
do $dpref/#variable-creation-ustan.do
foreach var in turnover turnover_lcu turnover_ppp turnover_par assettot assettot_lcu assettot_ppp assettot_par fixdasst fixdasst_lcu fixdasst_ppp fixdasst_par equity equity_lcu equity_ppp equity_par liab_par profits_par exports_par intmed_par wb_ppp wb_par {
  replace `var' = `var' * 1000
  }
sort firmid year affil2id
compress
*----------------------above code identical to #bemfiles.do---------------------------------------------

save "$rootslct/Xdata/affils-fdi-ustan-allyrs-plaineur", replace

log close
cd "$root"
