*! version 1.0.3  03mar2006  by Marc Muendler  muendler@ucsd.edu

*----------------------following code identical to tab-sample-selct-cf.do--------------------------------
*-----substitute: /v6npfs for /v6np, /v6fs for /v6 ------------------------------------------------------
*-----substitute: now for 00, wagelg for wage96, ${yrdiff}yrlg for 96 -----------------------------------

translator set gph2eps logo off
translator set gph2ps  logo off
translator set gph2prn logo off

version 8
cd "$rootslct"
clear
set more off
set matsize 700
adopath + "$root/%stata/ado"

local waglvl "$waglvl"
local wagabr = subinstr("`waglvl'","wage","",.)
local wagabr = subinstr("`wagabr'","frm","",.)

capture mkdir "$rootslct/graphs"
capture mkdir "$rootslct/graphs/v6fs"
capture mkdir "$rootslct/graphs/v6fs/pt$par-af$aff-cf"


/* variable sets for probit estimation */
/*-------------------------------------*/

do $dp/!varsets.do


/* SIXTH DRAFT (v6) */

* Load variable names and save for est2tex
est2extlbl, addto(summ) intex($rootdo/%stata/rowlbl-fdiselct) p(tex/v6fs/pt$par-af$aff-$waglvl-cf) replace
foreach path in v6fs v6npfs {
  foreach type in summ rsumm summmeans rsummmeans {
    capture mkdir "tex/`path'"
    capture mkdir "tex/`path'/pt$par-af$aff-$waglvl-cf"
    est2extlbl, addto(`type') retain p(tex/`path'/pt$par-af$aff-$waglvl-cf) replace
    }
  }
clear

* MEANS AND STANDARD DEVIATIONS OF VARIABLES IN ESTIMATION SAMPLE

foreach usemissg in $howmany {

foreach path in v6fs v6npfs {

foreach mreg in "" $regagg {
local mr2dg = substr("`mreg'",1,2)

matload summ_translog`usemissg'_missg`mr2dg'_tbl, p(tex/`path'/pt$par-af$aff-$waglvl-cf) over missing(.)
local rn = summ_translog`usemissg'_missg`mr2dg'_tbl[rownumb(summ_translog`usemissg'_missg`mr2dg'_tbl,"mneid"),colnumb(summ_translog`usemissg'_missg`mr2dg'_tbl,"N")]
local rows = rowsof(summ_translog`usemissg'_missg`mr2dg'_tbl)
mat summ`mr2dg'_b = summ_translog`usemissg'_missg`mr2dg'_tbl[1..`rows',colnumb(summ_translog`usemissg'_missg`mr2dg'_tbl,"mean")]
mat summ`mr2dg'_se = summ_translog`usemissg'_missg`mr2dg'_tbl[1..`rows',colnumb(summ_translog`usemissg'_missg`mr2dg'_tbl,"sd")]
mat summ`mr2dg'_e = J(1,1,`rn')
mat rownames summ`mr2dg'_e = e(N)
foreach type in b se e {
  mat colnames summ`mr2dg'_`type' = `path'
  }
mat drop summ_translog`usemissg'_missg`mr2dg'_tbl
foreach type in b se {
  foreach reg in HOM $regagg {
    local r2dg = substr("`reg'",1,2)
    local wagelg "w_othr_`reg'"
    if "`reg'"=="HOM"  local wagelg = subinstr("`wagelg'","_othr","",.)
    local mainvar "i`r2dg'now i`r2dg'${yrdiff}yrlg psc`r2dg' m`r2dg' s`r2dg' k`r2dg' t`r2dg' w`r2dg' `wagelg' ln_mktacc_othr ln_inter_${yrdiff}yrlg" 
    local remove "${par_1} `mainvar'"
    local restvar : list global(paruse) - local(remove)
    matins summ`mr2dg'_`type', m(summ`r2dg'`mr2dg'_`type') ifr(`mainvar' `restvar')
    local wagrow = rownumb(summ`r2dg'`mr2dg'_`type',"`wagelg'")
    mat summ`r2dg'`mr2dg'_`type'[`wagrow',1] = log(summ`r2dg'`mr2dg'_`type'[`wagrow',1]*1000)
    * note: wage variable redefinition, all wages for selection regression in 1,000 EUR
    if "`type'"=="se"  mat summ`r2dg'`mr2dg'_`type'[`wagrow',1] = .
    * note: standard error on `wagelg' \ln E[w^2-wbar^2] > E[\ln(w^2-wbar^2)] after logarithmic transformation
    local wagelg = subinstr("`wagelg'","M","",1)
    matname summ`r2dg'`mr2dg'_`type' ln_`wagelg'${yrdiff}yrlg, rows(`wagrow') explicit
    matname summ`r2dg'`mr2dg'_`type' `reg', columns(1) explicit
    }
  mat drop summ`mr2dg'_`type'
  }
local type "e"
foreach reg in HOM $regagg {
  local r2dg = substr("`reg'",1,2)
  mat summ`r2dg'`mr2dg'_`type' = summ`mr2dg'_`type'
  matname summ`r2dg'`mr2dg'_`type' `reg', columns(1) explicit
  }
mat drop summ`mr2dg'_`type'
foreach type in b se e {
  foreach reg in HOM $regagg {
    local r2dg = substr("`reg'",1,2)
    capture mat summ`mr2dg'_`type' = summ`mr2dg'_`type' , summ`r2dg'`mr2dg'_`type'
    if _rc~=0  mat summ`mr2dg'_`type' = summ`r2dg'`mr2dg'_`type'
    mat drop summ`r2dg'`mr2dg'_`type'
    }
  }
local rownames : rownames summ`mr2dg'_b
local rows = rowsof(summ`mr2dg'_b)
tokenize `rownames'
forvalues i = 1/`rows' {
  local `i' = subinstr("``i''","HO","",.)
  matname summ`mr2dg'_b ``i'', rows(`i') explicit
  matname summ`mr2dg'_se ``i'', rows(`i') explicit
  }

* tex output
foreach type in b se e {
  mat rename summ`mr2dg'_`type' summmeans`mr2dg'_`type'
  }
if "`mreg'"==""  est2tex summmeans, replace dropall preserve p(tex/`path'/pt$par-af$aff-$waglvl-cf) fancy mark() suppress
foreach type in b se e {
  mat rename summmeans`mr2dg'_`type' summ`mr2dg'_`type'
  }
if "`mreg'"==""  est2tex summ, replace dropall preserve p(tex/`path'/pt$par-af$aff-$waglvl-cf) fancy mark()

}
mat drop summmeans_tbl summ_tbl


* MIXED TABLE OF (A) PARENT AVERAGES BY FOREIGN LOCATION AND (B) FOREIGN LOCATION AVERAGES

local allvar : rownames summ_b
local mainvar "inow i${yrdiff}yrlg psc m s k t w ln_w_${yrdiff}yrlg" 
local parvar : list local(allvar) - local(mainvar)

* prepare parent variables (lower part)
foreach mreg in "" $regagg {
  local mr2dg = substr("`mreg'",1,2)
  local mnam "`mreg'"
  if "`mnam'"==""  local mnam "HOM"
  foreach type in b se {
    matorder summ`mr2dg'_`type', m(psumm`mnam'_`type') over ifcol(`mnam')
    matorder psumm`mnam'_`type', m(psumm`mnam'_`type') over ifrow(`parvar')
    if "`mreg'"~=""  mat drop summ`mr2dg'_`type'
    }
  matorder summ`mr2dg'_e, m(psumm`mnam'_e) over ifcol(`mnam')
  if "`mreg'"~=""  mat drop summ`mr2dg'_e
  }
foreach mreg in HOM $regagg {
local mr2dg = substr("`mreg'",1,2)
  foreach type in b se e {
    capture mat psumm_`type' = psumm_`type' , psumm`mreg'_`type'
    if _rc~=0  mat psumm_`type' = psumm`mreg'_`type'
    }
  }

* make one table
foreach type in b se {
  matkeep summ_`type', m(summ_`type') over ifrow(`mainvar')
  mat rsumm_`type' = summ_`type' \ psumm_`type'
  }
mat rsumm_e = summ_e \ psumm_e
mat drop summ_e psumm_e
foreach type in b se e {
  foreach mreg in "" HOM $regagg { 
    capture mat drop summ`mreg'_`type' 
    capture mat drop psumm`mreg'_`type'
    }
  }

* tex output
foreach type in b se e {
  mat rename rsumm_`type' rsummmeans_`type'
  }
est2tex rsummmeans, replace dropall preserve p(tex/`path'/pt$par-af$aff-$waglvl-cf) fancy mark() suppress
mat drop rsummmeans_tbl
foreach type in b se e {
  mat rename rsummmeans_`type' rsumm_`type'
  }
est2tex rsumm, replace dropall preserve p(tex/`path'/pt$par-af$aff-$waglvl-cf) fancy mark()
foreach type in b se e tbl {
  mat drop rsumm_`type'
  }

} /* close `path' loop */

} /* close `usemissg' loop */

*----------------------above code identical to tab-estmat-selct-cf-nonparam.do------------------------------------------

cd "$root"
