*! version 1.0.5  14nov2006  by Marc Muendler  muendler@ucsd.edu

clear
set memory 400m
set matsize 400
set more off
capture log close

cd "$rootslct"

log using "logs/translog-selct-spectest-$waglvl-pt$par-af$aff-allyrs.log", replace

*----------------------following code identical to translog-selct-2stp-spectests-cf.do------------------------------------------
*-----substitute: now for 00, ${yrdiff}yrlg for 96, /v6fs for /v6, mneid year for mneid ----------------------------------------

#delimit ;

adopath + "$root/%stata/ado"; 


/* translog regression */
/*---------------------*/

foreach usemissg in $howmany {; /* begin `usemissg' loop */

capture mkdir "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf";
capture mkdir "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/translog`usemissg'";

use "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff";
foreach reg in $regagg {;
  local r2dg = substr("`reg'",1,2);
  regress epsi`r2dg' iCEnow iDEnow iOInow iWEnow;
  regress epsi`r2dg' iCE${yrdiff}yrlg iDE${yrdiff}yrlg iOI${yrdiff}yrlg iWE${yrdiff}yrlg;
  };

}; /* end of `usemissg' loop */


/* probit t-tests */
/*----------------*/

use "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/probit-zgamma-$waglvl-pt$par-af$aff", clear;

* tests for difference in zgamma;
local testcnt 0;
local restreg "$regagg";
foreach reg in $regagg {;
  local r2dg = substr("`reg'",1,2);
  local restreg = trim(subinstr("`restreg'","`reg'","",.));
  foreach creg in `restreg' {;
    local c2dg = substr("`creg'",1,2);
    ttest zgamma`r2dg'==zgamma`c2dg';
    local testcnt = `testcnt' + 1;
    est2vec ttzgamma`testcnt', r(N_1 N_2 mu_1 mu_2 t se df_t p) name(zgamma`r2dg'_zgamma`c2dg');
    };
  };
mat rename ttzgamma1_r ttzgamma;
forvalues i = 2/`testcnt' {;
  mat ttzgamma = ttzgamma , ttzgamma`i'_r;
  mat drop ttzgamma`i'_r;
  };
foreach reg in $reghomagg {;
  local r2dg = substr("`reg'",1,2);
  rename i`r2dg'now i`r2dg';
  };
reshape long i zgamma, i(currno) j(reg) string;
drop if reg=="HO";

* tests for differences in eta cutoffs (ranges);
local testcnt 0;
foreach proc in maxmin minmax {;
  local testcnt = `testcnt' + 1;
  local pres = substr("`proc'",1,3);
  local abse = substr("`proc'",4,3);
  gen double _zgamma_pres = zgamma if i==1;
  egen double zgamma_pres = `pres'(_zgamma_pres), by(currno);
  replace zgamma_pres=. if zgamma_pres~=zgamma; /* keep one non-missing observation per MNE */
  gen double _zgamma_abse = zgamma if i~=1;
  egen double zgamma_abse = `abse'(_zgamma_abse), by(currno);
  replace zgamma_abse=. if zgamma_pres~=zgamma; /* keep one non-missing observation per MNE */
  * drop if zgamma_pres==. & zgamma_abse==.;
  drop _*;
  ttest zgamma_pres==zgamma_abse;
  est2vec ttpresabs`testcnt', r(N_1 N_2 mu_1 mu_2 t se df_t p p_l) name(pres`pres'_abse`abse');
  count if zgamma_pres<zgamma_abse & zgamma_pres~=. & zgamma_abse~=.;
  mat _cnt = `r(N)';
  matrix rownames _cnt = r(N_rejct);
  mat ttpresabs`testcnt'_r = ttpresabs`testcnt'_r \ _cnt;
  mat drop _cnt;
  drop zgamma_*;
  };
mat ttpresabs = ttpresabs1_r , ttpresabs2_r;
mat drop ttpresabs1_r ttpresabs2_r;

matsave ttzgamma, p(estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg) t(double) replace dropall;
matsave ttpresabs, p(estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg) t(double) replace dropall;


/* translog t-tests */
/*------------------*/

if "$par" == "manf" | "$par" == "" {;
  local howmany = "1";
  * too few observations for omnipresent MNE regression in manufacturing sector and Sweden;
  };
if "$par" == "all" {;
  local howmany = "0 1";
  };

foreach usemissg in `howmany' {; /* begin `usemissg' loop */

use "$rootslct/estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg/translog`usemissg'-res-$waglvl-pt$par-af$aff", clear;
local testcnt 0;
local restreg "$regagg";
foreach reg in $regagg {;
  local r2dg = substr("`reg'",1,2);
  local restreg = trim(subinstr("`restreg'","`reg'","",.));
  foreach creg in `restreg' {;
    local c2dg = substr("`creg'",1,2);
    pwcorr epsi`r2dg' epsi`c2dg', sig;
    qui corr epsi`r2dg' epsi`c2dg';
    local testcnt = `testcnt' + 1;
    est2vec ttepsi`testcnt', r(N rho) name(epsi`r2dg'_epsi`c2dg');
    mat _p = min(tprob(r(N)-2,r(rho)*sqrt(r(N)-2)/sqrt(1-r(rho)^2)),1);
    matrix rownames _p = r(p);
    mat ttepsi`testcnt'_r = ttepsi`testcnt'_r \ _p;
    mat drop _p;
    };
  };
mat rename ttepsi1_r ttepsi;
forvalues i = 2/`testcnt' {;
  mat ttepsi = ttepsi , ttepsi`i'_r;
  mat drop ttepsi`i'_r;
  };
matsave ttepsi, p(estmat/v6fs/pt$par-af$aff-$waglvl-cf/byreg) t(double) replace dropall;

}; /* end of `usemissg' loop */

*----------------------above code identical to translog-selct-2stp-spectests-cf.do------------------------------------------;

log close;
cd "$root";
