*! version 1.0.7  20nov2008  by Marc Muendler  muendler@ucsd.edu
*! version 2.0.2  19jun2009  by Marc Muendler  muendler@ucsd.edu

clear
set memory 400m
set matsize 400
set more off
capture log close

cd "$rootslct"

log using "logs/comp-elast-ger-cf.log", replace

local wag = subinstr(subinstr("$waglvl","frm","",.),"wage","",.)
if "`wag'"=="uno"  local othrwag = "oww"
if "`wag'"=="oww"  local othrwag = "uno"
local usemissg 1

capture mkdir "$rootslct/tex/comp"
capture mkdir "$rootslct/tex/comp/pt$par-af$aff-cf"
capture mkdir "$rootslct/tex/comp/pt$par-af$aff-frm`wag'wage-uncorrected-cf"
capture mkdir "$rootslct/tex/comp/pt$par-af$aff-frm`othrwag'wage-uncorrected-cf"

mat drop _all

adopath + "$root/%stata/ado"

foreach mat in cmpintw cmpextw cmpinty {
  capture est2extlbl, addto(`mat') retain p(tex/comp/pt$par-af$aff-cf) replace
  if _rc~=0 {
    est2extlbl, addto(`mat') intex($rootdo/%stata/rowlbl-fdiselct) p(tex/comp/pt$par-af$aff-cf) replace
    }
  }
est2extlbl, addto(uncorr`usemissg'_reldiff) intex($rootdo/%stata/rowlbl-fdiselct) p(tex/comp/pt$par-af$aff-frm`wag'wage-uncorrected-cf) replace dropall
est2extlbl, addto(uncorr`usemissg'_reldiff) intex($rootdo/%stata/rowlbl-fdiselct) p(tex/comp/pt$par-af$aff-frm`othrwag'wage-uncorrected-cf) replace dropall
clear


* COMPARISON MATRIX FOR UNCORRECTED ESTIMATES

foreach wag in oww uno {

capture matload intelast`usemissg'_tbl, p(tex/v6fs/pt$par-af$aff-frm`wag'wage-cf) over missing(.) dropall
if _rc==0 {
  matorder intelast`usemissg'_tbl, m(intelast`usemissg'_corrct) ifr(rLDemHO rLDemCE rLDemDE rLDemOI rLDemWE) over
  matload intelast`usemissg'_tbl, p(tex/v6fs/pt$par-af$aff-frm`wag'wage-uncorrected-cf) over missing(.) dropall
  matorder intelast`usemissg'_tbl, m(intelast`usemissg'_uncorrct) ifr(rLDemHO rLDemCE rLDemDE rLDemOI rLDemWE) over
  mat drop intelast`usemissg'_tbl 
  local rows = rowsof(intelast`usemissg'_corrct)
  local cols = colsof(intelast`usemissg'_corrct)
  local rownames : rowfullnames intelast`usemissg'_corrct
  local colnames : colfullnames intelast`usemissg'_corrct
  mat uncorr`usemissg'_reldiff_tbl = J(`rows',`cols',.)
  mat rownames uncorr`usemissg'_reldiff_tbl = `rownames'
  mat colnames uncorr`usemissg'_reldiff_tbl = `colnames'
  forvalues i = 1/`rows' {
    forvalues j = 1/`cols' {
      mat uncorr`usemissg'_reldiff_tbl[`i',`j'] = ( intelast`usemissg'_uncorrct[`i',`j'] - intelast`usemissg'_corrct[`i',`j'] ) / intelast`usemissg'_corrct[`i',`j']
      }
    }
  est2tex uncorr`usemissg'_reldiff, replace dropall path(tex/comp/pt$par-af$aff-frm`wag'wage-uncorrected-cf) fancy ready
  }

} // close `wag' loop


* COMPARISON MATRICES OF ELASTICITIES

foreach wag in oww uno {

* home wage effects on foreign employment (first column of elasticity matrices)
foreach mat in int ext {
  matload cmp`mat'elastw_tbl, p(tex/v6npfs/pt$par-af$aff-frm`wag'wage-cf) over missing(.) dropall
  matrix coleq cmp`mat'elastw_tbl = fs`wag'
  mat rename cmp`mat'elastw_tbl cmp`mat'w_tbl
  matload cmp`mat'elastw_tbl, p(tex/v6npfs/pt$par-af$aff-frm`othrwag'wage-cf) over missing(.) dropall
  matrix coleq cmp`mat'elastw_tbl = fs`othrwag'
  mat cmp`mat'w_tbl = cmp`mat'w_tbl , cmp`mat'elastw_tbl
  matload cmp`mat'elastw_tbl, p(tex/v6npfs/pt$par-af$aff-frmubswage-cf) over missing(.)
  matrix coleq cmp`mat'elastw_tbl = fsubs
  mat cmp`mat'w_tbl = cmp`mat'w_tbl , cmp`mat'elastw_tbl
  matload cmp`mat'elastw_tbl, p(tex/v6np/pt$par-af$aff-frm`wag'wage-cf) over missing(.)
  matrix coleq cmp`mat'elastw_tbl = cr`wag'
  mat cmp`mat'w_tbl = cmp`mat'w_tbl , cmp`mat'elastw_tbl
  mat drop cmp`mat'elastw_tbl
  local colnames : colnames cmp`mat'w_tbl
  tokenize `colnames'
  local num : word count `colnames'
  forvalues i = 1/`num' {
    local newname = subinstr("``i''","_mWageHO","",.)
    matname cmp`mat'w_tbl `newname', column(`i') explicit
    }
  * with ubs: matorder cmp`mat'w_tbl, m(cmp`mat'w_tbl) over ifc(fs`wag':wHO1hm cr`wag':wHO1hm fs`wag':wHO1ar2 fs`othrwag':wHO1hm fsubs:wHO1hm fs`wag':wHO1np fs`wag':wHO1npr fs`wag':wHO0hm)
  matorder cmp`mat'w_tbl, m(cmp`mat'w_tbl) over ifc(fs`wag':wHO1hm cr`wag':wHO1hm fs`wag':wHO1ar2 fs`othrwag':wHO1hm fs`wag':wHO1np fs`wag':wHO1npr fs`wag':wHO0hm)
  mat rename cmp`mat'w_tbl cmp`mat'`wag'w_tbl
  est2tex cmp`mat'`wag'w, replace dropall preserve mark(starse) path(tex/comp/pt$par-af$aff-cf) fancy levels(90 95 99) ready
  }

* foreign wage effects on home employment (first row of elasticity matrices)
local mat "int"
  matload cmp`mat'elasty_tbl, p(tex/v6npfs/pt$par-af$aff-frm`wag'wage-cf) over missing(.)
  local roweq : roweq cmp`mat'elasty_tbl
  local rows = rowsof(cmp`mat'elasty_tbl)
  tokenize `roweq'
  local newrows ""
  forvalues i = 1/`rows' {
    local newrows "`newrows' fs`wag'_``i''"
    }
  matrix roweq cmp`mat'elasty_tbl = `newrows'
  mat rename cmp`mat'elasty_tbl cmp`mat'y_tbl
  matload cmp`mat'elasty_tbl, p(tex/v6npfs/pt$par-af$aff-frm`othrwag'wage-cf) over missing(.)
  local roweq : roweq cmp`mat'elasty_tbl
  local rows = rowsof(cmp`mat'elasty_tbl)
  tokenize `roweq'
  local newrows ""
  forvalues i = 1/`rows' {
    local newrows "`newrows' fs`othrwag'_``i''"
    }
  matrix roweq cmp`mat'elasty_tbl = `newrows'
  mat cmp`mat'y_tbl = cmp`mat'y_tbl \ cmp`mat'elasty_tbl
  matload cmp`mat'elasty_tbl, p(tex/v6npfs/pt$par-af$aff-frmubswage-cf) over missing(.)
  local roweq : roweq cmp`mat'elasty_tbl
  local rows = rowsof(cmp`mat'elasty_tbl)
  tokenize `roweq'
  local newrows ""
  forvalues i = 1/`rows' {
    local newrows "`newrows' fsubs_``i''"
    }
  matrix roweq cmp`mat'elasty_tbl = `newrows'
  mat cmp`mat'y_tbl = cmp`mat'y_tbl \ cmp`mat'elasty_tbl
  matload cmp`mat'elasty_tbl, p(tex/v6np/pt$par-af$aff-frm`wag'wage-cf) over missing(.)
  local roweq : roweq cmp`mat'elasty_tbl
  local rows = rowsof(cmp`mat'elasty_tbl)
  tokenize `roweq'
  local newrows ""
  forvalues i = 1/`rows' {
    local newrows "`newrows' cr`wag'_``i''"
    }
  matrix roweq cmp`mat'elasty_tbl = `newrows'
  mat cmp`mat'y_tbl = cmp`mat'y_tbl \ cmp`mat'elasty_tbl
  * with ubs: matorder cmp`mat'y_tbl, m(cmp`mat'y_tbl) over ifr(fs`wag'_yHO1hm:rLDemHO fs`wag'_yHO1hm:_se cr`wag'_yHO1hm:rLDemHO cr`wag'_yHO1hm:_se fs`wag'_yHO1ar2:rLDemHO fs`wag'_yHO1ar2:_se fs`othrwag'_yHO1hm:rLDemHO fs`othrwag'_yHO1hm:_se fsubs_yHO1hm:rLDemHO fsubs_yHO1hm:_se fs`wag'_yHO1np:rLDemHO fs`wag'_yHO1np:_se fs`wag'_yHO1npr:rLDemHO fs`wag'_yHO1npr:_se fs`wag'_yHO0hm:rLDemHO fs`wag'_yHO0hm:_se)
  matorder cmp`mat'y_tbl, m(cmp`mat'y_tbl) over ifr(fs`wag'_yHO1hm:rLDemHO fs`wag'_yHO1hm:_se cr`wag'_yHO1hm:rLDemHO cr`wag'_yHO1hm:_se fs`wag'_yHO1ar2:rLDemHO fs`wag'_yHO1ar2:_se fs`othrwag'_yHO1hm:rLDemHO fs`othrwag'_yHO1hm:_se fs`wag'_yHO1np:rLDemHO fs`wag'_yHO1np:_se fs`wag'_yHO1npr:rLDemHO fs`wag'_yHO1npr:_se fs`wag'_yHO0hm:rLDemHO fs`wag'_yHO0hm:_se)
  mat rename cmp`mat'y_tbl cmp`mat'`wag'y_tbl
  est2tex cmp`mat'`wag'y, replace dropall preserve mark(starse) path(tex/comp/pt$par-af$aff-cf) fancy levels(90 95 99) ready

} // close `wag' loop

log close
cd "$root"
