*! version 1.0.7  12feb2009  by Marc-Andreas Muendler muendler@ucsd.edu
*! version 2.0.4  21jul2009  by Marc Muendler  muendler@ucsd.edu

/* Regional wages are supposed to be first (5) regressors in SUR equations */

translator set gph2eps logo off
translator set gph2ps  logo off
translator set gph2prn logo off

version 8
cd "$rootslct"
clear
set more off
set matsize 400
adopath + "$root/%stata/ado"

/* SIXTH DRAFT (v6) */

* FIRST COLUMN AND FIRST ROW OF ELASTICITY MATRICES (INTENSIVE AND EXTENSIVE) BY METHOD

foreach usemissg in $howmany {
foreach regr in $reglist {
  local ext "`regr'"
  local corr ""
  if "`regr'" == "hm" | "`regr'"=="ar2"  local ext ""
  if "`regr'" == "ar2"                   local corr "ar2"
  foreach elstld in int ext tot {
  capture confirm file tex/v6`regr'/pt$par-af$aff-$waglvl-cf/`elstld'elast`usemissg'_tbl.dta
  if _rc == 0 {
    matload `elstld'elast`usemissg'_tbl, p(tex/v6`regr'/pt$par-af$aff-$waglvl-cf) over missing(.)
    * rename _se1 and _se4 rows with estimate name
    local rownames : rownames `elstld'elast`usemissg'_tbl
    local rownum : word count `rownames'
    tokenize `rownames'
    foreach reg in HOM $regagg {
      local r2dg = substr("`reg'",1,2)
      forvalues i = 1/`rownum' {
        local nextrow = `i' + 1
        local thenrow = `i' + 2
        if "``i''"=="rLDem`r2dg'" & "``nextrow''"=="_se1"  matname `elstld'elast`usemissg'_tbl rLDem`r2dg'_se1, rows(`nextrow') explicit
        if "``i''"=="rLDem`r2dg'" & "``nextrow''"=="_se4"  matname `elstld'elast`usemissg'_tbl rLDem`r2dg'_se4, rows(`nextrow') explicit
        if "``i''"=="rLDem`r2dg'" & "``thenrow''"=="_se4"  matname `elstld'elast`usemissg'_tbl rLDem`r2dg'_se4, rows(`thenrow') explicit
        }      
      }
    * extract first row and first column
    matorder `elstld'elast`usemissg'_tbl, m(`elstld'elast`usemissg'wHO`regr') ifc(mWageHO)
    matorder `elstld'elast`usemissg'wHO`regr', m(`elstld'elast`usemissg'wHO`regr') over ifr(rLDemHO rLDemHO_se4 rLDemCE rLDemCE_se4 rLDemDE rLDemDE_se4 rLDemOI rLDemOI_se4 rLDemWE rLDemWE_se4 e(theta_N))
    matrix coleq `elstld'elast`usemissg'wHO`regr' = wHO`usemissg'`regr'
    matorder `elstld'elast`usemissg'_tbl, m(`elstld'elast`usemissg'yHO`regr') ifr(rLDemHO rLDemHO_se4)
    tempname addobs
    mat `addobs' = `elstld'elast`usemissg'wHO`regr'[rownumb(`elstld'elast`usemissg'wHO`regr',"e(theta_N)"),colnumb(`elstld'elast`usemissg'wHO`regr',"mWageHO")] \ J(1,1,.)
    matname `addobs' e_theta_N, columns(1) explicit
    mat `elstld'elast`usemissg'yHO`regr' = `elstld'elast`usemissg'yHO`regr', `addobs'
    matrix roweq `elstld'elast`usemissg'yHO`regr' = yHO`usemissg'`regr'
    mat drop `elstld'elast`usemissg'_tbl
    }
    }
  }
} /* close `usemissg' loop */

foreach elstld in int ext tot {
  foreach usemissg in $howmany {
  foreach regr in $reglist {
    local ext "`regr'"
    if "`regr'" == "hm"  local ext ""
    capture local chk = rowsof(`elstld'elast`usemissg'wHO`regr') 
    if _rc == 0 {
      capture mat `elstld'elastwHO = `elstld'elastwHO , `elstld'elast`usemissg'wHO`regr'
      if _rc~=0  mat `elstld'elastwHO = `elstld'elast`usemissg'wHO`regr'
      mat drop `elstld'elast`usemissg'wHO`regr'
      capture mat `elstld'elastyHO = `elstld'elastyHO \ `elstld'elast`usemissg'yHO`regr'
      if _rc~=0  mat `elstld'elastyHO = `elstld'elast`usemissg'yHO`regr'
      mat drop `elstld'elast`usemissg'yHO`regr'
    }
    }
  }
} /* close `elstld' loop */

* output to tex
capture mat drop extelastyHO 
capture mat drop totelastyHO
foreach mat in totelastw extelastw intelastw intelasty  {
  local rownames : rowfullnames `mat'HO
  local rows : word count `rownames'
  tokenize `rownames'
  forvalues i = 1/`rows' {
    if subinstr("``i''","_se","",.)~="``i''"  matname `mat'HO _se, rows(`i') explicit
    }
  mat rename `mat'HO cmp`mat'_tbl
  * Load variable names and save for est2tex
  capture est2extlbl, addto(cmp`mat') retain p(tex/v6wpremfs/pt$par-af$aff-$waglvl-cf) replace
  if _rc~=0  est2extlbl, addto(cmp`mat') intex($rootdo/%stata/rowlbl-fdiselct) p(tex/v6wpremfs/pt$par-af$aff-$waglvl-cf) replace
  drop _all
  }
foreach mat in totelastw extelastw intelastw intelasty  {
  est2tex cmp`mat', replace dropall preserve mark(starse) path(tex/v6wpremfs/pt$par-af$aff-$waglvl-cf) fancy levels(90 95 99) ready
  }

* COMPARISON MATRIX FOR UNCORRECTED ESTIMATES

foreach aff in "manf" "all" {
foreach usemissg in $howmany {
local wag "uno"
capture mkdir "$rootslct/tex/comp/pt$par-af`aff'-frm`wag'wage-uncorrected-cf"
est2extlbl, addto(uncorr`usemissg'_reldiff) intex($rootdo/%stata/rowlbl-fdiselct) p(tex/comp/pt$par-af`aff'-frm`wag'wage-uncorrected-cf) replace dropall
capture matload intelast`usemissg'_tbl, p(tex/v6fs/pt$par-af`aff'-frm`wag'wage-cf) over missing(.) dropall
if _rc==0 {
  matorder intelast`usemissg'_tbl, m(intelast`usemissg'_corrct) ifr(rLDemHO rLDemCE rLDemDE rLDemOI rLDemWE) over
  matload intelast`usemissg'_tbl, p(tex/v6fs/pt$par-af`aff'-frm`wag'wage-uncorrected-cf) over missing(.) dropall
  matorder intelast`usemissg'_tbl, m(intelast`usemissg'_uncorrct) ifr(rLDemHO rLDemCE rLDemDE rLDemOI rLDemWE) over
  mat drop intelast`usemissg'_tbl 
  local rows = rowsof(intelast`usemissg'_corrct)
  local cols = colsof(intelast`usemissg'_corrct)
  local rownames : rowfullnames intelast`usemissg'_corrct
  local colnames : colfullnames intelast`usemissg'_corrct
  mat uncorr`usemissg'_reldiff_tbl = J(`rows',`cols',.)
  mat rownames uncorr`usemissg'_reldiff_tbl = `rownames'
  mat colnames uncorr`usemissg'_reldiff_tbl = `colnames'
  forvalues i = 1/`rows' {
    forvalues j = 1/`cols' {
      mat uncorr`usemissg'_reldiff_tbl[`i',`j'] = ( intelast`usemissg'_uncorrct[`i',`j'] - intelast`usemissg'_corrct[`i',`j'] ) / intelast`usemissg'_corrct[`i',`j']
      }
    }
  est2tex uncorr`usemissg'_reldiff, replace dropall path(tex/comp/pt$par-af`aff'-frm`wag'wage-uncorrected-cf) fancy ready
  }
} /* close `usemissg' loop */
} /* close `aff' loop */

cd "$root"
